       SUBROUTINE SAX_ACC_BT_2(IST,UNITS,INCREMENT_ROUTINE)
C
C----------------------------------------------------------------------
C
C.IDENTIFICATION: Subroutine SAX_ACC_BT_2
C.LIBRARY:        FOTLIB
C.AUTHOR:         D. Dal Fiume - TeSRE Bologna
C.VERSIONS:       0.1 - 24 Feb 95 - First operative version
C.PURPOSE:        Inirect mode data wrapper for main accumulation loop
C.METHOD:         switches according to packetcap preloaded information
C.SYNTAX:         CALL  SAX_ACC_BT_2(IST,UNITS,INCREMENT_ROUTINE)
C.PARAMETERS:     IINTEGER  ist              :  secondary type code
C                 CHARACTER units            : 'BYTES' or 'BITS'
C                 EXTERNAL increment_routine : real accumulation routine
C.RESTRICTIONS:   
C.NOTES:          Indirect mode data correposnd to "basic type" 2 (bt=2)
C                 INCREMENT_ROUTINE is an external routine usually found
C                 with the caller program, and is the work-horse of the
C                 accumulation (is specific of the kind of accumulation)
C.FILES:
C.REFERENCES
C
C----------------------------------------------------------------------
C      handle Basic Type 2
       INTEGER   IST
       CHARACTER UNITS*(*)
       EXTERNAL  INCREMENT_ROUTINE
C
C      handling of INDIRECT mode packets (spectral)
C      this just calls the appropriate subroutine according to Secondary Type code
C      and eventually according to UNITS being bits or bytes
C
C-->   Currently only BT=2 ST=1 UNITS=bytes supported
C-->   It shall not be necessary to support "bits" at any level
C
       CALL SAX_ACC_B2S1_Y(INCREMENT_ROUTINE)
       RETURN
       END
